Package org.apache.any23.extractor

## Class ExtractionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.any23.extractor.ExtractionException

- All Implemented Interfaces:
    `Serializable`

      public class ExtractionException
      extends Exception

  Defines a specific exception raised during the metadata extraction phase.
  Author:
    Michele Mostarda (michele.mostarda@gmail.com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractionException​(String message)` |
    `ExtractionException​(String message, Throwable cause)` |
    `ExtractionException​(String message, Throwable cause, ExtractionResult er)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `printStackTrace​(PrintStream ps)` |
    `void` | `printStackTrace​(PrintWriter pw)` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtractionException

          public ExtractionException​(String message)

    - #### ExtractionException

          public ExtractionException​(String message,
                                     Throwable cause)

    - #### ExtractionException

          public ExtractionException​(String message,
                                     Throwable cause,
                                     ExtractionResult er)

  - ### Method Detail

    - #### printStackTrace

          public void printStackTrace​(PrintStream ps)

      Overrides:
        `printStackTrace` in class `Throwable`

    - #### printStackTrace

          public void printStackTrace​(PrintWriter pw)

      Overrides:
        `printStackTrace` in class `Throwable`